フォーラム

ホーム » 1. Marketplace App Development

構造的に表示 平面上に表示 ツリー上に表示
toggle
Florencia Gadea
Developing a portlet and an ext plugin to be Marketplace compatible
2012/12/03 6:31
答え

Florencia Gadea

ランク: Regular Member

投稿: 145

参加年月日: 2012/03/27

最近の投稿

Hi Everyone!

I'm developing a portlet and an ext plugin that is dependant on the portlet's code. For that, I include the portlet-service.jar in the ext plugin. I did this, because from what I've read, you have to create a portlet if you want to create new functionanlity and an ext plugin if you want to override liferay's core functionality. I also read that developing the portlet inside the ext plugin is not recommended, and that possibility will be removed from future versions of the sdk anyway. Everything works fine in Liferay 6.1.1 GA 2 CE. I know the Marketplace is not ready for user uploads yet, but I want to be ready by the time it is. The thing is, how do I make this compatible with the Marketplace?

Will the user have to download two separate projects to make this work?

Will the upload of ext plugins be possible?

Will the user be able to deploy this in a clean way?

Regards,

Flor.
Rahul Sharma
RE: Developing a portlet and an ext plugin to be Marketplace compatible
2012/12/18 6:41
答え

Rahul Sharma

ランク: Junior Member

投稿: 60

参加年月日: 2012/01/10

最近の投稿

Hi Florencia,

You can refer to this link "http://www.liferay.com/documentation/liferay-portal/6.1/development/-/ai/lp-6-1-dgen10-developing-and-publishing-apps-0",this will definitely help you out for your query related to publishing and creating apps for marketplace.
Florencia Gadea
RE: Developing a portlet and an ext plugin to be Marketplace compatible
2012/12/21 4:32
答え

Florencia Gadea

ランク: Regular Member

投稿: 145

参加年月日: 2012/03/27

最近の投稿

Hello Rahul,

Thanks for you help. I'm suspicious about it because it never says anything about ext plugins. I guess I just should follow the same steps. Anyway, I'm still stucked with the security manager, so I can't upload anything.

Regards,

Flor.
Ray Augé
RE: Developing a portlet and an ext plugin to be Marketplace compatible
2013/01/07 4:59
答え

Ray Augé

LIFERAY STAFF

ランク: Liferay Legend

投稿: 1171

参加年月日: 2005/02/07

最近の投稿

Just for clarity, Florencia, would you mind stating the specific security manager problem referred to, or if there is already a thread could you link to it?

I'm going to focus this week on trying to clarify many of the main blockers that are plaguing MK developers related to PACL this week.
Florencia Gadea
RE: Developing a portlet and an ext plugin to be Marketplace compatible
2013/01/07 5:05
答え

Florencia Gadea

ランク: Regular Member

投稿: 145

参加年月日: 2012/03/27

最近の投稿

Hi Ray,

I'm really happy to hear that!

Here are the posts related to the security manager:

http://www.liferay.com/community/forums/-/message_boards/message/18367741

http://www.liferay.com/community/forums/-/message_boards/message/17489093

Regards,

Flor.
Abhishek Dhingra
RE: Developing a portlet and an ext plugin to be Marketplace compatible
2013/09/21 22:32
答え

Abhishek Dhingra

ランク: Junior Member

投稿: 52

参加年月日: 2011/04/07

最近の投稿

Hi,

Can you please guide me if you find solution.

I wanted to know can we use EXT plugins in MarketPlace Apps?

Thanks,
Abhishek
Brian Kim
RE: Developing a portlet and an ext plugin to be Marketplace compatible
2013/11/13 12:18
答え

Brian Kim

LIFERAY STAFF

ランク: Expert

投稿: 319

参加年月日: 2004/08/16

最近の投稿

The problem with allowing for EXT plugins is that they are not hot deployable. Is there a reason you wouldn't be able to just use a hook plugin?